package pwc.taxtech.atms.common;

public enum OperateLogType {

    /***/
    UnKnown(null, -1),
    /***/
    OperationLogOrganization("OPERATION_LOG_ORGANIZATION", 0),
    /***/
    OperationLogUser("OPERATION_LOG_USER", 1),
    /***/
    OperationLogProject("OPERATION_LOG_PROJECT", 2),
    /***/
    OperationLogBasicData("OPERATION_LOG_BASIC_DATA", 3),
    /***/
    OperationLogReport("OPERATION_LOG_REPORT", 4),
    /***/
    OperationLogEnterPrise("OPERATION_LOG_ENTER_PRISE", 5),
    /***/
    OperationLogSubject("OPERATION_LOG_SUBJECT", 6),
    /***/
    OperationLogRole("OPERATION_LOG_ROLE", 7),
    /***/
    OperationLogModelConfiguration("OPERATION_LOG_MODEL_CONFIGURATION", 8),
    /***/
    OperationLogRuleEngine("OPERATION_LOG_RULE_ENGINE", 9),
    /***/
    OperationLogKeyvalue("OPERATION_LOG_KEYVALUE", 10),
    /***/
    OperationLogWorkflow("OPERATION_LOG_WORK_FLOW", 11),
    /***/
    OperationLogStock("OPERATION_LOG_STOCK", 12),
    /***/
    ;
    /***/
    private Integer value;

    private String name;

    OperateLogType(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public String tableName(){return name;}

    public static String getTableName(Integer value) {
        for (OperateLogType type : OperateLogType.values()) {
            if (type.value().intValue() == value.intValue()) {
                return type.tableName();
            }
        }
        return null;
    }

    public static String getName(Integer value) {
        for (OperateLogType type : OperateLogType.values()) {
            if (type.value().intValue() == value.intValue()) {
                return type.name();
            }
        }
        return null;
    }

}
