package pwc.taxtech.atms.common;

/**
 * @see PwC.Tax.Tech.Atms.Globals.Utils\Enums.cs
 */
public enum ServiceTypeEnum {

    // 后台admin
    // Administration = 1,
    // 增值税申报分析
    // VAT = 2,
    // 电子税务管理
    // AM = 3,
    // 财务尽职调查
    // FDD = 4,
    // 税务管理平台
    // Dashboard = 5,
    // 企业所得税
    // CIT = 6,
    // 电子税务审计
    // TCS = 7

    /***/
    Administration(1),
    /***/
    VAT(2),
    /***/
    AM(3),
    /***/
    FDD(4),
    /***/
    Dashboard(5),
    /***/
    CIT(6),
    /***/
    TCS(7),
    /***/
    ;

    private Integer value;

    ServiceTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static ServiceTypeEnum valueOf(Integer value) {
        for (ServiceTypeEnum item : ServiceTypeEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }
}
