package pwc.taxtech.atms.constant;

/** @see PwC.Tax.Tech.CIT.Globals\Utils\Constant.cs */
public abstract class DimensionConstant {
    // 机构层级Id
    public static final String OrganizationStructureId = "c61a5bd6-a996-4952-9869-d053966537e8";
    // 事业部维度Id
    public static final String BusinessUnitId = "c61a5bd6-a996-4952-9869-d053995237e5";
    // 区域 维度Id
    public static final String AreaId = "c61a5bd6-a996-4952-9869-d053995237e6";
    // 子分公司Id
    public static final String OrgSubChildrenId = "c61a5bd6-a996-4952-9869-d053995237e7";
    // 用户数Id
    public static final String UserId = "c61a5bd6-a996-4952-9869-d053996237e8";
    // 所属行业Id
    public static final String IndustryId = "c61a5bd6-a996-4952-9869-d053996537e8";
    // 股权架构Id
    public static final String StockId = "91c81fa7-9c54-447a-af53-764a4da089e0";
    // 机构维度，自定义的，并没有什么特别的用处
    public static final String Organization = "c61a5bd6-a996-4952-9869-d153995237e5";

    public static final String ExtraOrgDimensionId = "extraOrgDimensionId";
    public static final String ExtraOrgDimensionValueId = "extraOrgDimensionValueId"; // 附加额外角色
    public static final String OriginalRoleDimensionValueId = "originalRoleDimensionValueId"; // 附加原始角色

    public static final String ExtraOrgDimensionName = "附加";
    public static final String ExtraOrgDimensionValueName = "附加角色";
    public static final String OriginalRole = "原始角色";

    public static class Attribute {
        // 事业部维度Id
        public static final String BusinessUnitId = "c61a5bd6-a996-4952-9869-d053995237e5";
        // 区域 维度Id
        public static final String AreaId = "c61a5bd6-a996-4952-9869-d053995237e6";
        // 机构层级Id
        public static final String OrganizationStructureId = "c61a5bd6-a996-4952-9869-d053966537e8";
        // 用户数Id
        public static final String UserId = "c61a5bd6-a996-4952-9869-d053996237e8";
        // 所属行业Id
        public static final String IndustryId = "c61a5bd6-a996-4952-9869-d053996537e8";
        // 子分公司Id
        public static final String OrgSubChildrenId = "c61a5bd6-a996-4952-9869-d053995237e7";
        // 机构代码
        public static final String OrgCode = "23afd568-de87-47e9-b1aa-ced2008c88c6";
        // 纳税人识别号
        public static final String TaxPayerNumber = "45547ba9-4a37-43b2-84c1-14e12ad5258d";
        // 行政区域 b02f61ae-086a-4fe1-a7da-4f1a1771187e
        public static final String RegionId = "c62a5bd6-a996-4952-9869-d053996537e88";
    }

}
