package pwc.taxtech.atms.constant.enums;

public enum ImageType {
    Success (1), //成功
    Alert (2), //提示
    Warning (3),//警告
    Error (4); //错误

    private Integer code;

    ImageType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public static ImageType fromCode(Integer code){
        for(ImageType type:ImageType.values()){
            if(type.getCode().intValue()==code.intValue())return type;
        }
        throw new RuntimeException("not support image type code");
    }
}
