package pwc.taxtech.atms.constant.enums;

public enum RoleSource {
    Unknown(0),
    OrganizationLevel(1),
    AreaLevel(2),
    BusinessUnitLevel(3),
    OriginalLevel(4),
    DimensionLevel(5),
    /**
     * //维度的原始角色
     */
    DimensionOriginalLevel(6),
    /**
     * //维度的附加角色
     */
    DimensionExraLevel(7),
    /**
     * //机构的原始角色
     */
    OrganizationOriginaLevel(8),
    /**
     * 机构的附加角色
     */
    OrganizationExtraLevel(9);

    private Integer code;

    RoleSource(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
