package pwc.taxtech.atms.dto.permission;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class UserPermissionDto {
    @JsonProperty("ID")
    private String id;

    private String userName;

    private Boolean isAdmin;

    private Boolean isSuperAdmin;

    private List<PermissionDto> permissionList;

    private List<OrganizationPermissionDto> organizationPermissionList;

    private List<String> navigationUrlList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Boolean getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Boolean isAdmin) {
        this.isAdmin = isAdmin;
    }

    public Boolean getIsSuperAdmin() {
        return isSuperAdmin;
    }

    public void setIsSuperAdmin(Boolean isSuperAdmin) {
        this.isSuperAdmin = isSuperAdmin;
    }

    public List<PermissionDto> getPermissionList() {
        return permissionList;
    }

    public void setPermissionList(List<PermissionDto> permissionList) {
        this.permissionList = permissionList;
    }

    public List<OrganizationPermissionDto> getOrganizationPermissionList() {
        return organizationPermissionList;
    }

    public void setOrganizationPermissionList(List<OrganizationPermissionDto> organizationPermissionList) {
        this.organizationPermissionList = organizationPermissionList;
    }

    public List<String> getNavigationUrlList() {
        return navigationUrlList;
    }

    public void setNavigationUrlList(List<String> navigationUrlList) {
        this.navigationUrlList = navigationUrlList;
    }

}
