package pwc.taxtech.atms.security;

import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;

public class JwtAuthenticationToken extends UsernamePasswordAuthenticationToken {
    private static final long serialVersionUId = 1L;
    private static final String PRINCIPAL_JWT = "PRINCIPAL_JWT";

    private String token;

    public JwtAuthenticationToken(String token) {
        super(PRINCIPAL_JWT, token);
        this.token = token;
    }

    public String getToken() {
        return token;
    }

}
