package pwc.taxtech.atms.dpo;


import com.fasterxml.jackson.annotation.JsonProperty;

public class CellTemplateConfigGroupDto {
    Integer columnIndex;

    Integer rowIndex;

    String columnName;

    String rowName;

    Integer dataType;

    Boolean isReadOnly;

    @JsonProperty("cellTemplateID")
    Long cellTemplateId;

    @JsonProperty("reportTemplateID")
    Long reportTemplateId;

    String comment;

    public CellTemplateConfigGroupDto(Integer columnIndex, Integer rowIndex
            , String columnName, String rowName, Integer dataType, Boolean isReadOnly
            , Long cellTemplateId, Long reportTemplateId, String comment) {
        this.columnIndex = columnIndex;
        this.rowIndex = rowIndex;
        this.columnName = columnName;
        this.rowName = rowName;
        this.dataType = dataType;
        this.isReadOnly = isReadOnly;
        this.cellTemplateId = cellTemplateId;
        this.reportTemplateId = reportTemplateId;
        this.comment = comment;
    }


    public Integer getColumnIndex() {
        return columnIndex;
    }

    public void setColumnIndex(Integer columnIndex) {
        this.columnIndex = columnIndex;
    }

    public Integer getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(Integer rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getRowName() {
        return rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Boolean getReadOnly() {
        return isReadOnly;
    }

    public void setReadOnly(Boolean readOnly) {
        isReadOnly = readOnly;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Long getCellTemplateId() {
        return cellTemplateId;
    }

    public void setCellTemplateId(Long cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public Long getReportTemplateId() {
        return reportTemplateId;
    }

    public void setReportTemplateId(Long reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }
}
