package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;
import java.util.List;

public class EnterpriseAccountSetOrgDto {

    private String id;

    @JsonProperty("enterpriseAccountSetID")
    private String enterpriseAccountSetId;
    @JsonProperty("organizationID")
    private String organizationId;

    // 账套名称
    // The name of the enterprise account set
    private String enterpriseAccountSetName;

    // 机构名称
    // The name of the organization
    private String organizationName;

    private String effectiveDateStr;

    private String expiredDateStr;

    private Date effectiveDate;

    private Date expiredDate;

    private List<EnterpriseAccountSetOrgDto> overlapList;

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the enterpriseAccountSetId
     */
    public String getEnterpriseAccountSetId() {
        return enterpriseAccountSetId;
    }

    /**
     * @param enterpriseAccountSetId the enterpriseAccountSetId to set
     */
    public void setEnterpriseAccountSetId(String enterpriseAccountSetId) {
        this.enterpriseAccountSetId = enterpriseAccountSetId;
    }

    /**
     * @return the organizationId
     */
    public String getOrganizationId() {
        return organizationId;
    }

    /**
     * @param organizationId the organizationId to set
     */
    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    /**
     * @return the enterpriseAccountSetName
     */
    public String getEnterpriseAccountSetName() {
        return enterpriseAccountSetName;
    }

    /**
     * @param enterpriseAccountSetName the enterpriseAccountSetName to set
     */
    public void setEnterpriseAccountSetName(String enterpriseAccountSetName) {
        this.enterpriseAccountSetName = enterpriseAccountSetName;
    }

    /**
     * @return the organizationName
     */
    public String getOrganizationName() {
        return organizationName;
    }

    /**
     * @param organizationName the organizationName to set
     */
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    /**
     * @return the effectiveDateStr
     */
    public String getEffectiveDateStr() {
        return effectiveDateStr;
    }

    /**
     * @param effectiveDateStr the effectiveDateStr to set
     */
    public void setEffectiveDateStr(String effectiveDateStr) {
        this.effectiveDateStr = effectiveDateStr;
    }

    /**
     * @return the expiredDateStr
     */
    public String getExpiredDateStr() {
        return expiredDateStr;
    }

    /**
     * @param expiredDateStr the expiredDateStr to set
     */
    public void setExpiredDateStr(String expiredDateStr) {
        this.expiredDateStr = expiredDateStr;
    }

    /**
     * @return the effectiveDate
     */
    public Date getEffectiveDate() {
        return effectiveDate;
    }

    /**
     * @param effectiveDate the effectiveDate to set
     */
    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    /**
     * @return the expiredDate
     */
    public Date getExpiredDate() {
        return expiredDate;
    }

    /**
     * @param expiredDate the expiredDate to set
     */
    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    /**
     * @return the overlapList
     */
    public List<EnterpriseAccountSetOrgDto> getOverlapList() {
        return overlapList;
    }

    /**
     * @param overlapList the overlapList to set
     */
    public void setOverlapList(List<EnterpriseAccountSetOrgDto> overlapList) {
        this.overlapList = overlapList;
    }


}
