package pwc.taxtech.atms.vat.dpo;

import java.math.BigDecimal;

public class TrialBalanceDto {
    private String balanceId;
    private Integer periodId;
    private String acctCode;
    private String customerCode;
    private BigDecimal begDebitBal;
    private BigDecimal begCreditBal;
    private BigDecimal begBal;
    private BigDecimal endBal;
    private BigDecimal endDebitBal;
    private BigDecimal endCreditBal;
    private BigDecimal debitBal;
    private BigDecimal creditBal;
    private Integer monthId;
    private BigDecimal yearDebitBal;
    private BigDecimal yearCreditBal;
    private String parentCode;
    private String accountName;
    private boolean isDuplicate;
    private Integer acctProp;
    private int direction;

    public String getBalanceId() {
        return balanceId;
    }

    public void setBalanceId(String balanceId) {
        this.balanceId = balanceId;
    }

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public String getAcctCode() {
        return acctCode;
    }

    public int getAccotCodeLength(){
        return  acctCode.length();
    }

    public void setAcctCode(String acctCode) {
        this.acctCode = acctCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    
    public BigDecimal getBegDebitBal() {
        return begDebitBal;
    }

    public void setBegDebitBal( BigDecimal begDebitBal) {
        this.begDebitBal = begDebitBal;
    }

    
    public BigDecimal getBegCreditBal() {
        return begCreditBal;
    }

    public void setBegCreditBal( BigDecimal begCreditBal) {
        this.begCreditBal = begCreditBal;
    }

    
    public BigDecimal getBegBal() {
        return begBal;
    }

    public void setBegBal( BigDecimal begBal) {
        this.begBal = begBal;
    }

    
    public BigDecimal getEndBal() {
        return endBal;
    }

    public void setEndBal( BigDecimal endBal) {
        this.endBal = endBal;
    }

    
    public BigDecimal getEndDebitBal() {
        return endDebitBal;
    }

    public void setEndDebitBal( BigDecimal endDebitBal) {
        this.endDebitBal = endDebitBal;
    }

    
    public BigDecimal getEndCreditBal() {
        return endCreditBal;
    }

    public void setEndCreditBal( BigDecimal endCreditBal) {
        this.endCreditBal = endCreditBal;
    }

    
    public BigDecimal getDebitBal() {
        return debitBal;
    }

    public void setDebitBal( BigDecimal debitBal) {
        this.debitBal = debitBal;
    }

    
    public BigDecimal getCreditBal() {
        return creditBal;
    }

    public void setCreditBal( BigDecimal creditBal) {
        this.creditBal = creditBal;
    }

    public Integer getMonthId() {
        return monthId;
    }

    public void setMonthId(Integer monthId) {
        this.monthId = monthId;
    }

    
    public BigDecimal getYearCreditBal() {
        return yearCreditBal;
    }

    public void setYearCreditBal( BigDecimal yearCreditBal) {
        this.yearCreditBal = yearCreditBal;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public boolean isDuplicate() {
        return isDuplicate;
    }

    public void setDuplicate(boolean duplicate) {
        isDuplicate = duplicate;
    }

    public Integer getAcctProp() {
        return acctProp;
    }

    public void setAcctProp(Integer acctProp) {
        this.acctProp = acctProp;
    }

    public int getDirection() {
        return direction;
    }

    public void setDirection(int direction) {
        this.direction = direction;
    }

    
    public BigDecimal getYearDebitBal() {
        return yearDebitBal;
    }

    public void setYearDebitBal( BigDecimal yearDebitBal) {
        this.yearDebitBal = yearDebitBal;
    }
}
