﻿// web service proxy for role
webservices.factory('cellCommentService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getCellComments: function (cellDataId) {
            return $http.get('/CellComment/List?cellDataId=' + cellDataId, apiConfig.createVat());
        },
        addCellComment: function (cellComment) {
            return $http.post('/CellComment/Add', cellComment, apiConfig.createVat());
        },
        deleteCellComment: function (commentId) {
            return $http.post('/CellComment/Delete/' + commentId, {}, apiConfig.createVat());
        },
    };
}]);