﻿invoiceModule.controller('InvoiceManageInfrastructureController', ['$scope', '$log', '$q', '$timeout', 'loginContext',
    '$translate', '$location', 'templateGroupService', 'citSessionService', 'vatReportService', '$state',
function ($scope, $log, $q, $timeout, loginContext, $translate, $location, templateGroupService, citSessionService, vatReportService, $state) {
    'use strict';
    $log.debug('InvoiceManageController.ctor()...');

    var loadInvoiceMenu = function () {
        $scope.groups = [];

        $scope.groups.push({
            id: '0',
            name: $translate.instant('OutputInvoiceTitle'),
            sref: '.main',
            isExpand: true,
            children: [
                { id: '1', name: $translate.instant('BillingManagement'), sref: '.billingManage' },
                { id: '2', name: $translate.instant('InvoiceSearch'), sref: '.invoiceQuery' }
            ]
        });


        $scope.groups.push({
            id:'1',
            name: $translate.instant('IncomeInvoiceManage'),
            sref: '.main',
            isExpand: true,
            children: [ 
                { id: '1', name: $translate.instant('NoInvoiceVerify'), sref: '.noInvoiceVerify' },
                { id: '2', name: $translate.instant('PendingReturnInvoice'), sref: '.pendingRefundInvoice' },
                { id: '3', name: $translate.instant('MappingInvoice'), sref: '.mapInvoice' }
            ]
        });
    };

    var toggleGroup = function (group) {
        group.isExpand = !group.isExpand;
    };
    (function initialize() {
        loadInvoiceMenu();
        $scope.expend = true;
        $scope.toggleGroup = toggleGroup;
    })();

}]);