package pwc.taxtech.atms.common;

/** @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\LogOnDto.cs */
public enum CheckState {
    // Success = 0,
    // EmptyUserName = 1,
    // EmptyPassword = 2,
    // UserNameNotExist = 3,
    // WrongPassword = 4,
    // Inactive = 5,
    // Expired = 6,
    // UnKnown = 7,
    // Unauthorized = 8
    /***/
    Success(0),
    /***/
    EmptyUserName(1),
    /***/
    EmptyPassword(2),
    /***/
    UserNameNotExist(3),
    /***/
    WrongPassword(4),
    /***/
    Inactive(5),
    /***/
    Expired(6),
    /***/
    UnKnown(7),
    /***/
    Unauthorized(8),
    /***/
    ;

    private Integer value;

    CheckState(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static CheckState valueOf(Integer value) {
        for (CheckState item : CheckState.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }
    
    public static String int2str(Integer value) {
        for (CheckState item : CheckState.values()) {
            if (item.value.equals(value)) {
                return item.name();
            }
        }
        return null;
    }
}
