package pwc.taxtech.atms.constant.enums;

public enum ProjectImportDataType {
    AuditAdjust(1),       //审计调整
    CustomInvoice(2),     //海关清单
    JournalEntry(3),      //序时账
    ErpData(4),           //财务数据
    InputInvoice(5),      //进项发票
    InvoiceMapping(6),    //发票对应
    OutputInvoice(7),     //销项发票
    TrialBalance(8),      //试算平衡表
    VoucherMapping(9);     //凭证对应

    private Integer code;

    ProjectImportDataType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
