package pwc.taxtech.atms.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.TemplateGroup;
import pwc.taxtech.atms.entity.TemplateGroupExample;

import java.util.List;

@Service
public class TemplateGroupDao {
    @Autowired
    private TemplateGroupMapper mapper;

    public List<TemplateGroup> getByGroupName(String name) {
        TemplateGroupExample example = new TemplateGroupExample();
        TemplateGroupExample.Criteria criteria = example.createCriteria();
        criteria.andNameEqualTo(name);
        return mapper.selectByExample(example);
    }

}
