package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class CellVoucherDto {
    String id;
    Integer period;
    Date createTime;
    //会计科目
    String accountSubject;
    //标准会计科目
    String stdAccount;
    //凭证编号
    String voucherCode;
    //凭证摘要
    String voucherSummary;
    //借方发生
    BigDecimal debitAmount;
    //贷方发生
    BigDecimal creditAmount;
    //借贷方向
    Integer direction;
    /**
     * 记账时间
     */
    Date date;
    String dataSourceId;
    //数据源名称
    String dataSourceName;
}
