package pwc.taxtech.atms.exception;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

public class AlreadyExistsException extends ApiException {
    public AlreadyExistsException() {
        super();
    }

    public AlreadyExistsException(String message) {
        super(message);
    }

    public AlreadyExistsException(String message, Throwable cause) {
        super(message, cause);
    }

    public AlreadyExistsException(Throwable cause) {
        super(cause);
    }

    @Override
    public <Object> ResponseEntity handle() {
        return ResponseEntity.status(HttpStatus.CONFLICT).build();
    }
}
