package pwc.taxtech.atms.exception;

import org.springframework.http.ResponseEntity;

import javax.net.ssl.SSLEngineResult;

import static org.springframework.http.HttpStatus.CONFLICT;

public class ConflictException extends ApiException {
    public ConflictException() {
        super();
    }

    public ConflictException(String message) {
        super(message);
    }

    public ConflictException(String message, Throwable cause) {
        super(message, cause);
    }

    public ConflictException(Throwable cause) {
        super(cause);
    }

    @Override
    public <Object> ResponseEntity handle() {
        return ResponseEntity.status(CONFLICT).build();
    }
}
