package pwc.taxtech.atms.service.impl;

public class Message {
    public static final String Enable = "Enable";
    public static final String Disable = "Disable";
    public static final String IsActive = "IsActive";



    public class Error
    {
        public static final String SaveFileError = "SaveFileError";
        public static final String SystemError = "SystemError";
        public static final String NoFile = "NoFile";

        public static final String NoSelectSheet = "NoSelectSheet";
    }

    public class Area
    {
        public static final String NoAreaRootData = "NoAreaRootData";
        public static final String SameAreaNameExist = "SameAreaNameExist";
        public static final String AddArea = "AddArea";
        public static final String CannotFindAreaById = "CannotFindAreaById";
        public static final String UpdateArea = "UpdateArea";
        public static final String CannotDeleteAreaTips = "CannotDeleteAreaTips";
        public static final String DeleteArea = "DeleteArea";

        public static final String EnableArea = "EnableArea";
        public static final String DisableArea = "DisableArea";
        public static final String AreaName = "AreaName";
        public static final String DisableCascade = "Cascade is disabled";
        public static final String AreaRegion = "AreaRegion";
    }

    public class AreaRegion
    {
        public static final String NoAreaRegionData = "NoAreaRegionData";
        public static final String AreaRegionRepeat = "AreaRegionRepeat";

        public static final String CannotStopAreaOrgUse = "CannotStopAreaOrgUse";

    }
    public class Customer
    {
        public static final String SameCustomerExist = "CustomerDuplicateNode";
        public static final String CannotFindCustomerById = "CannotFindCustomerById";
        public static final String AddCustomer = "AddCustomer";
        public static final String UpdateCustomer = "UpdateCustomer";
        public static final String DeleteCustomer = "DeleteCustomer";

        public static final String CustomerCodeEmptyNode = "CustomerCodeEmptyNode";
        public static final String CustomerNameEmptyNode = "CustomerNameEmptyNode";

        public static final String NameOutOfLength = "CustomerNameOutOfLength";
        public static final String CodeOutOfLength = "CustomerCodeOutOfLength";

        public static final String NoFile = "NoFile";
        public static final String FileNameEmpty = "FileNameEmpty";

        public static final String Add = "Add";
        public static final String Edit = "Edit";

        public static final String CustomerImportDataFormatError = "CustomerImportDataFormatError";
    }

    public class EnterpriceAccount
    {
        public static final String EnterpriceAccountRepeat = "EnterpriceAccountRepeat";
        public static final String EnterpriceAccountParentDisable = "EnterpriceAccountParentDisable";
        public static final String StdCodeIsNotExist = "StdCodeIsNotExist";
        public static final String NoParentCode = "NoParentCode";
        public static final String OrgNotExist = "OrgNotExist";
        public static final String SystemError = "SystemError";
        public static final String NoAccountNeedClear = "NoAccountNeedClear";
        public static final String InputParamInComplete = "InputParamInComplete";
        public static final String AccountSetNotExist = "AccountSetNotExist";
        public static final String ExistMappedOrg = "ExistMappedOrg";

        public static final String EnterpriseAccountNameEmpty = "EnterpriseAccountNameEmpty";

        public static final String EnterpriceAccountImportDataFormatError = "EnterpriceAccountImportDataFormatError";

        public static final String NameMaxLength = "EnterpriseAccountNameMaxLength";
        public static final String CodeMaxLength = "EnterpriseAccountCodeMaxLength";

        public static final String CodeEmpty = "EnterpriseAccountCodeEmpty";

        public static final String CopyFrom = "Copy From {0}";
        public static final String SubjectCorresponding = "SubjectCorresponding";

        public static final String DirectionFormatError = "DirectionFormatError";

        public static final String AcctPropFormatError = "AcctPropFormatError";

        public static final String AcctPropNullError = "AcctPropNullError";
    }

    public class Organization
    {
        public static final String NotFindOrg = "NotFindOrg";
        public static final String NotFindOrgEnable = "NotFindOrgEnable";
        public static final String ClientCodeIsExist = "ClientCodeIsExist";
        public static final String OrgNameOrCodeIsExiste = "OrgNameOrCodeIsExist";
        public static final String OrgNameOrCodeTaxPaymentNoIsExist = "OrgNameOrCodeTaxPaymentNoIsExist";
        public static final String OrgEnterpriseSetIsMapping = "OrgEnterpriseSetIsMapping";
        public static final String RelevantEnterpriseAccountSet = "RelevantEnterpriseAccountSet";
        public static final String OrganizationServiceTemplateGroup = "OrganizationServiceTemplateGroup";

        public static final String OrganizationName = "分公司"; //分公司，第一层
        public static final String SubOrganizationName = "子公司"; //子公司，子层,
        public static final String OrganizationCount = "机构数";

        public static final String AreaLogMessage = "区域";

        /// <summary>
        /// 上级机构 不能为 当前机构
        /// </summary>
        public static final String ParentIdCannotEqualsId = "ParentIdCannotEqualsId";

        /// <summary>
        /// 上级机构 不能为 当前机构的下级机构
        /// </summary>
        public static final String ParentIdCannotBeSubId = "ParentIdCannotBeSubId";
    }

    public class Region
    {
        public static final String NoRegionData = "NoRegionData";
        public static final String NoRegionRootData = "NoRegionRootData";
        public static final String SameRegionNameExist = "SameRegionNameExist";
        public static final String SameRegionFullNameExist = "SameRegionFullNameExist";
        public static final String CannotFindRegionById = "CannotFindRegionById";
        public static final String CannotDeleteRegionTips = "CannotDeleteRegionTips";
        public static final String CannotStopRegionTips = "CannotStopRegionTips";
        public static final String EnableRegion = "EnableRegion";
        public static final String DisableRegion = "DisableRegion";
    }

    public class OrganizationStructure
    {
        public static final String AddOrganizationStructure = "AddOrganizationStructure";
        public static final String UpdateOrganizationStructure = "UpdateOrganizationStructure";
        public static final String DeleteOrganizationStructure = "DeleteOrganizationStructure";
    }

    public class BusinessUnit
    {
        public static final String AddBusinessUnit = "AddBusinessUnit";
        public static final String UpdateBusinessUnit = "UpdateBusinessUnit";
        public static final String DeleteBusinessUnit = "DeleteBusinessUnit";
    }

    public class User
    {
        public static final String UsedPassword = "UsedPassword";
        public static final String AddUserFailed = "AddUserFailed";
        public static final String NotFindUser = "NotFindUser";
        public static final String UpdateUserFailed = "UpdateUserFailed";
        public static final String ExistsProjectCannotDisable = "ExistsProjectCannotDisable";
        public static final String DisableUserFailed = "DisableUserFailed";
        public static final String UserExistsInfo = "UserExistsInfo";
        public static final String AddProjectToUserFailed = "AddProjectToUserFailed";
        public static final String RemoveProjectFromUserFailed = "RemoveProjectFromUserFailed";
        public static final String AssignRoleToProjectFailed = "AssignRoleToProjectFailed";
        public static final String Admin = "Admin";
        public static final String NonAdmin = "Non-Admin";
        public static final String AddOriginalRole = "AddOriginalRole";
        public static final String EmailRegisted = "EmailRegisted";

        public static final String HasNoPermission = "HasNoPermission";
    }

    public class Project
    {
        public static final String NotFindProject = "NotFindProject";
        public static final String AddProject = "AddProject";
        public static final String AddProjectFail = "AddProjectFail";
        public static final String AddProjectServiceType = "AddProjectServiceType";
        public static final String UpdateProject = "UpdateProject";
        public static final String UpdateProjectServiceType = "UpdateProjectServiceType";
        public static final String ProjectServiceType = "ProjectServiceType";
        public static final String DeleteProjectServiceType = "DeleteProjectServiceType";
    }

    public class StandardAccount
    {
        public static final String StandardAccountRepeat = "StandardAccountRepeat";
    }

    public class TemplateGroup
    {
        public static final String TemplateGroupNameExist = "TemplateGroupNameExist";

        public static final String SystemTypeCannotDelete = "SystemTypeCannotDelete";

        public static final String OrganizationUsedTemplateGroup = "OrganizationUsedTemplateGroup";
    }

    public class AccountRecategory
    {
        public static final String EnterpriseCodeNotExist = "This enterprise code {0} does not exist";
    }

    public class Account
    {
        public static final String StandardCodeNotExist = "This standard code {0} does not exist";
    }

    public class Cache
    {
        public static final String DbUpdateExceptionMessage = "A DbUpdateException was caught while saving changes. ";
        public static final String EntriesMessage = "Type: {0} was part of the problem. ";
        public static final String DbUpdateError = "Error parsing DbUpdateException: ";
    }

    public class Log
    {
        public static final String EnterpriceAccountAdd = "Add";
        public static final String EnterpriceAccountUpdate = "Update";
        public static final String EnterpriceAccountImportUpdate = "ImportUpdate";
        public static final String EnterpriceAccountImportAdd = "ImportAdd";
        public static final String AddEnterpriseAccountSet = "AddEnterpriseAccountSet";
        public static final String DeleteEnterpriseAccountSetOrg = "DeleteEnterpriseAccountSetOrg";

        public static final String AccountMappingKeywordRepeat = "AccountMappingKeywordRepeat";
        public static final String AccountMappingKeywordNotExist = "AccountMappingKeywordNotExist";
        public static final String OperationLogError = " The validation errors are: ";

        public static final String AddOrganization = "AddOrganization";
        public static final String UpdateOrganization = "UpdateOrganization";

        public static final String AddProject = "AddProject";
        public static final String AddProjectServiceType = "AddProjectServiceType";
        public static final String ProjectServiceType = "ProjectServiceType";
        public static final String DeleteProjectServiceType = "DeleteProjectServiceType";
        public static final String UpdateProjectServiceType = "UpdateProjectServiceType";
        public static final String UpdateProject = "UpdateProject";

        public static final String AddRegion = "AddRegion";
        public static final String UpdateRegion = "UpdateRegion";
        public static final String RegionNameDisable = "区域名:{0}级联禁用";
        public static final String AddProvince = "AddProvince";
        public static final String AddCity = "AddCity";
        public static final String DeleteRegion = "DeleteRegion";


        public static final String AddReportConfiguration = "AddReportConfiguration";
        public static final String UpdateTemplateFormula = "UpdateTemplateFormula";
        public static final String AddTemplateFormula = "AddTemplateFormula";

        public static final String AddTemplate = "AddTemplate";
        public static final String AddUser = "AddUser";
        public static final String AddUserRole = "AddUserRole";
        public static final String DeleteUserRole = "DeleteUserRole";
        public static final String UpdateUser = "UpdateUser";
        public static final String Logon = "Logon";

        public static final String IsActive = "IsActive";
        public static final String Formula = "Formula";
        public static final String Name = "Name";

        public static final String Add = "Add";

        public static final String AddDimensionValue = "Add Dimension Value";
        public static final String UpdateDimensionValue = "Update Dimension Value";
        public static final String AddUserForDimensionValue = "Add user for dimension value";
        public static final String AddUserForOrganization = "Add user for organization";

        public static final String AddKeyValueConfiguration = "AddKeyValueConfiguration";
        public static final String UpdateKeyValueConfiguration = "UpdateKeyValueConfiguration";
        public static final String DeleteKeyValueConfiguration = "DeleteKeyValueConfiguration";
        public static final String AddRuleEngineConfiguration = "AddRuleEngineConfiguration";
        public static final String UpdateRuleEngineConfiguration = "UpdateRuleEngineConfiguration";
        public static final String DeleteRuleEngineConfiguration = "DeleteRuleEngineConfiguration";

    }

    public class EnterpriseAccountSet
    {
        public static final String EnterpriseAccountSetNameRepeat = "EnterpriseAccountSetNameRepeat";

        public static final String EnterpriseAccountSetCodeRepeat = "EnterpriseAccountSetCodeRepeat";

        public static final String NameMaxLength = "EnterpriseAccountSetNameMaxLength";

        public static final String EnterpriceAccountImportDataFormatError = "EnterpriceAccountImportDataFormatError";
    }

    public class EnterpriseAccountSetOrg
    {
        public static final String EnterpriseAccountSetOrgExists = "EnterpriseAccountSetOrgExists";
        public static final String NoOrgSetOrOrgExist = "NoOrgSetOrOrgExist";

        public static final String EnterpriseAccountSetOrgDateTimeOverlap = "EnterpriseAccountSetOrgDateTimeOverlap";

        public static final String RelevantOranization = "RelevantOranization";

        public static final String EffectiveDateAreaProblem = "EffectiveDateAreaProblem";


        public static final String EnterpriseAccountSetOrgOnlyOncePerYear = "EnterpriseAccountSetOrgOnlyOncePerYear";
    }

    public class ReportConfiguration
    {
        public static final String CopyFrom = "Copy From {0}";

        public static final String CreateWithoutTemplate = "Create Without Template";
    }

    public class Dimension
    {
        public static final String DimensionRepeate = "DimensionRepeate";
    }
    public class DimensionValue
    {
        public static final String DimensionValueRepeat = "DimensionValueRepeat";
    }
    public class VoucherSelect
    {
        public static final String PeriodInputValueErrors = "PeriodInputValueErrors";
    }

    public class DataSource
    {
        public static final String DataSourceNameRepeat = "DataSourceNameRepeat";
    }
}
