﻿commonModule.directive('customAttributeModal', ['$log',
    function ($log) {
        'use strict';
        $log.debug('orgCustomAttributeModal.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/custom-attribute-modal/custom-attribute-modal.html' + '?_=' + Math.random(),
            replace: true,
            controller: 'customAttributeModalController',
            scope:
            {
                operateType: '=',
                attributeId: '=?',
                isUpdate: '=?',
                dimensionId: '=?',

                //维度类型，目的是为了区分弹出框的样式
                //tabType=1 事业部
                //tabType=2 区域
                //tabType=3 机构层次
                //tabType=4 其他自定义
                tabType: '=?',

                // 配置的纬度值列表
                statisticAttrList: '=?',
            }
        };
    }
]);