﻿commonModule.factory('browserService', [function () {
    'use strict';


    function isIE() {
        // Internet Explorer 6-11
        var isIE = /*@cc_on!@*/false || !!document.documentMode;
        return isIE;
    }
    function isEdge() {
        var isIE = /*@cc_on!@*/false || !!document.documentMode;
        // Edge 20+
        var isEdge = !isIE && !!window.StyleMedia;
        return isEdge;
    }
    function isChrome() {
        // Chrome 1+
        var isChrome = !!window.chrome && !!window.chrome.webstore;
        return isChrome;
    }
    function isFirefox() {
        // Firefox 1.0+
        var isFirefox = typeof InstallTrigger !== 'undefined';
        return isFirefox;
    }
    function isOpera() {
        // Opera 8.0+
        var isOpera = (!!window.opr && !!opr.addons) || !!window.opera || navigator.userAgent.indexOf(' OPR/') >= 0;
        return isOpera;
    }


    return {
        isIE: isIE,
        isEdge: isEdge,
        isChrome: isChrome,
        isFirefox: isFirefox,
        isOpera: isOpera
   
    }
}]);