﻿webservices.factory('vatDifferenceService', ['$log', '$http', 'apiConfig',
    function ($log, $http, apiConfig) {
        'use strict';
        $log.debug('vatDifferenceService.ctor()...');
        return {
            taxDifferenceByVoucher: function (dto) {
                return $http.post('/voucher/voucherSelectAdvancedByVoucher', dto, apiConfig.create());
            },
            getTaxDifferenceList: function (projectID,period) {
                return $http.get('/taxDifference/getTaxDifferenceData/' + projectID+'/'+period, apiConfig.createVat());
            }
          
        };

    }]);