﻿// web service proxy for standard account
webservices.factory('statisticAttributeService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        get: function (dictionaryCode) {
            return $http.get('/statisticAttribute/get?dictionaryCode=' + dictionaryCode, apiConfig.create());
        },
        getByParentDimensionID: function (parentDimensionID) {
            return $http.get('/statisticAttribute/getByParentDimensionID?parentDimensionID=' + parentDimensionID, apiConfig.create());
        },
        getOrgSubChildrenStatAttributeList: function (parentDimensionID) {
            return $http.get('/statisticAttribute/getOrgSubChildrenStatAttributeList?parentDimensionID=' + parentDimensionID, apiConfig.create());
        },
        add: function (model) {
            return $http.post('/statisticAttribute/add', model, apiConfig.create());
        },
        updateRange: function (modelList) {
            return $http.post('/statisticAttribute/update', modelList, apiConfig.create());
        }
    };
}]);
