﻿frameworkModule.
controller('AppDocumentTreeViewController', ['$scope', '$rootScope', '$attrs', 'documentHierarchyService',
    function ($scope, $rootScope, $attrs, documentHierarchyService) {

        $scope.enableSelect = $attrs.enableSelect;
        $scope.isCollapse = $attrs.isCollapse || false;
        documentHierarchyService.getDocumentHierarchy($attrs.documentType).success(function (documentHierarchy) {
            $scope.documentHierarchy = documentHierarchy;
            $scope.$emit('to-parent', $scope.documentHierarchy);
        });

        documentHierarchyService.getDocumentList($attrs.documentType).success(function (documentList) {
            $rootScope.documentList = documentList; //uses in material-list
        });


        $scope.selectDocument = function (document, parent, clickwhere) {
            $scope.documentClick({ document: document, parent: parent, clickwhere: clickwhere });
        }
    }
]);