﻿/// <reference path="app-modal.ctrl.js" />
  
frameworkModule.filter('searchFilter', [function () {

    return function (originalArray, query) {
        if (!angular.isUndefined(originalArray) && !angular.isUndefined(query) && query.length > 0) {
            var tempClients = [];

            angular.forEach(originalArray, function (item) {
                if (item.systemChartName.indexOf(query) >= 0) {
                    tempClients.push(item);
                }
            }); 
            return tempClients;

        } else {
            return originalArray;
        }
    };
}]);