﻿invoiceModule.directive('importShipmentList', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('importShipmentList.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/import-shipment-list/import-shipment-list.html' + '?_=' + Math.random(),
            scope:
            {

            },
            controller: 'importShipmentListController',
            link: function (scope, element) {
                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var invoiceDataGridSelector = '#importShipmentListGridContainer';
                    var pageWrapSelector = ".import-shipment-list-wrapper";
                    var menuSelector = ".import-shipment-list-wrapper .header-title";
                    var contentHeader = '.import-shipment-content-container .header';
                    var contentbody = '.import-shipment-content-container .body';
                    var buttonRow = '.import-shipment-content-container .buttom-row';
                    var pageFooter = '.import-shipment-list-wrapper .page-footer';
                    var dxGridSelector = ".import-shipment-grid-container";

                    var pageHeight = $(document).height();// 810; // parseInt($(pageWrapSelector).css('height').replace('px', ''));

                    var menuHeight = $(menuSelector).outerHeight(); //parseInt($(menuSelector).css('height').replace('px', ''));

                    var contentHeaderHeight = $(contentHeader).outerHeight(); //parseInt($(contentHeader).css('height').replace('px', ''));
                    // var pageFooterHeight = $(pageFooter).outerHeight(); //parseInt($(pageFooter).css('height').replace('px', ''));

                    var pageFooterHeight = 0;
                    var contentbodyHeight = pageHeight - menuHeight - contentHeaderHeight;
                    var height = contentbodyHeight  - pageFooterHeight - 60 - 75 + 'px';
                    $(contentbody).css('height', contentbodyHeight);
                    // $(dxGridSelector).css('height', height);
                    //$(invoiceDataGridSelector).css('max-height', '100%');

                    try {

                        var option = $('#importShipmentListGridContainer').dxDataGrid('option');
                        option.height = height;
                        $('#importShipmentListGridContainer').dxDataGrid('option', option);
                        $(invoiceDataGridSelector).dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };


                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }//# end of link
        };
    }
]);